Closed Bug 1642431 Opened 4 months ago Closed 3 months ago

Downloads are being opened in same (current) tab

Categories

(Firefox :: Downloads Panel, defect, P2)

78 Branch
defect

Tracking

()

VERIFIED FIXED
Firefox 79
Tracking Status
firefox-esr68 --- unaffected
firefox77 --- unaffected
firefox78 + verified
firefox79 --- verified

People

(Reporter: hecerinc, Assigned: sfoster)

References

(Regression)

Details

(Keywords: regression)

Attachments

(1 file)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0

Steps to reproduce:

  1. Set the default PDF opener to Firefox Nightly
  2. Downloaded a PDF file (any file)
  3. Clicked on the completed download in the downloads popup

Actual results:

The opened PDF file replaced my current tab

Expected results:

A new tab should have opened with the PDF file (this used to be the behaviour before).

Hi

I tried downloading and opening the following pdf file (windows 10 pro)

http://www.africau.edu/images/default/sample.pdf

In Beta and nightly, the bug is reproducible (it opens in same tab) in release version, it's not.

These are the versions that's been tested on.
release 77.0.1 (64-bit) (not reproducible)
beta 78.0b3 (64-bit) (reproducible)
Nightly 79.0a1 (2020-06-05) (64-bit) (reproducible)

I will move this over to a component so developers can take a look over it. If is not the correct component please feel free to change it to an appropriate one.

Thanks for the report.

Best regards, Clara.

Mozregression result.

pushlog_url: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=173e2e6757ae7c0f3c7b48836c7aea01bd5ba33c&tochange=60a406d3b53a224325ad20d733b1427de35fce14
repo_name: mozilla-central
repo_url: https://hg.mozilla.org/mozilla-central
task_id: C5Dj1R4AQkS0eawwNhsEYA

build_url: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/d99ncIWQRqCtmAqh72SNYQ/runs/0/artifacts/public%2Fbuild%2Ftarget.zip
changeset: 8d8372333cb931781c0443e3d0f374ade0519521
pushlog_url: https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=1393662c8ab88f30c115e7a61192f5a050d81da7&tochange=8d8372333cb931781c0443e3d0f374ade0519521
repo_name: autoland
repo_url: https://hg.mozilla.org/integration/autoland
task_id: d99ncIWQRqCtmAqh72SNYQ

2020-06-05T16:08:09: INFO : application_remotingname: firefox
2020-06-05T16:08:09: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2020-06-05T16:08:09: INFO : application_vendor: Mozilla
2020-06-05T16:08:09: INFO : application_version: 78.0a1
2020-06-05T16:08:09: INFO : platform_buildid: 20200529095426
2020-06-05T16:08:09: INFO : platform_changeset: 2ea5446878716fe02bb5624a2740d7c82f8de13e
2020-06-05T16:08:09: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2020-06-05T16:08:09: INFO : platform_version: 78.0a1
2020-06-05T16:08:21: INFO : Narrowed inbound regression window from [173e2e67, 60a406d3] (3 builds) to [2ea54468, 60a406d3] (2 builds) (~1 steps left)
2020-06-05T16:08:21: DEBUG : Starting merge handling...
2020-06-05T16:08:21: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=60a406d3b53a224325ad20d733b1427de35fce14&full=1
2020-06-05T16:08:34: DEBUG : Found commit message:
Bug 1570266 - Return remote tab results for searches for '%'. r=adw

Differential Revision: https://phabricator.services.mozilla.com/D77363

2020-06-05T16:08:34: DEBUG : Did not find a branch, checking all integration branches
2020-06-05T16:08:34: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=60a406d3b53a224325ad20d733b1427de35fce14&full=1
2020-06-05T16:08:35: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=60a406d3b53a224325ad20d733b1427de35fce14&full=1
2020-06-05T16:08:35: DEBUG : Didn't find 60a406d3b53a224325ad20d733b1427de35fce14 in mozilla-inbound
2020-06-05T16:08:35: DEBUG : Repo 'autoland' seems to have the earliest push
2020-06-05T16:08:35: INFO : ************* Switching to autoland by process of elimination (no branch detected in commit message)
2020-06-05T16:08:35: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=937c810d3a146248c0f3c7d08b46a2b5019a9639
2020-06-05T16:08:36: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?fromchange=937c810d3a146248c0f3c7d08b46a2b5019a9639&tochange=60a406d3b53a224325ad20d733b1427de35fce14
2020-06-05T16:08:37: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?endID=117490&startID=117449
2020-06-05T16:08:37: DEBUG : End merge handling
2020-06-05T16:08:37: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=2ea5446878716fe02bb5624a2740d7c82f8de13e
2020-06-05T16:08:38: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?fromchange=2ea5446878716fe02bb5624a2740d7c82f8de13e&tochange=60a406d3b53a224325ad20d733b1427de35fce14
2020-06-05T16:08:38: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:08:38: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:08:38: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.2ea5446878716fe02bb5624a2740d7c82f8de13e.firefox.win64-opt'
2020-06-05T16:08:38: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.60a406d3b53a224325ad20d733b1427de35fce14.firefox.win64-opt'
2020-06-05T16:08:51: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:08:51: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.32fd6309add3cd256f67d20d85ebd6a21185d9bb.firefox.win64-opt'
2020-06-05T16:09:08: INFO : Running autoland build built on 2020-05-29 10:25:49.275000, revision 32fd6309
2020-06-05T16:09:08: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:08: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.4f0b2cc28b1482e285bcfceec472a568f3843299.firefox.win64-opt'
2020-06-05T16:09:09: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:09: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:09: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:09: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:09: DEBUG : nothing found via route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:09: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-pgo'
2020-06-05T16:09:09: DEBUG : nothing found via route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-pgo'
2020-06-05T16:09:09: DEBUG : using taskcluster root url https://taskcluster.net
2020-06-05T16:09:09: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:10: INFO : Launching c:\Users\Clara Guerrero\AppData\Local\Temp\tmpb9avep\firefox\firefox.exe
2020-06-05T16:09:10: INFO : Application command: c:\Users\Clara Guerrero\AppData\Local\Temp\tmpb9avep\firefox\firefox.exe --allow-downgrade --wait-for-browser -profile c:\users\clarag~1\appdata\local\temp\tmp5pzydj.mozrunner
2020-06-05T16:09:10: INFO : application_buildid: 20200529083935
2020-06-05T16:09:10: INFO : application_changeset: 32fd6309add3cd256f67d20d85ebd6a21185d9bb
2020-06-05T16:09:10: INFO : application_display_name: Firefox Nightly
2020-06-05T16:09:10: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2020-06-05T16:09:10: INFO : application_name: Firefox
2020-06-05T16:09:10: INFO : application_remotingname: firefox
2020-06-05T16:09:10: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:09:10: INFO : application_vendor: Mozilla
2020-06-05T16:09:10: INFO : application_version: 78.0a1
2020-06-05T16:09:10: INFO : platform_buildid: 20200529083935
2020-06-05T16:09:10: INFO : platform_changeset: 32fd6309add3cd256f67d20d85ebd6a21185d9bb
2020-06-05T16:09:10: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:09:10: INFO : platform_version: 78.0a1
2020-06-05T16:09:27: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:27: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:28: DEBUG : nothing found via route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:28: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-pgo'
2020-06-05T16:09:29: DEBUG : nothing found via route 'gecko.v2.autoland.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-pgo'
2020-06-05T16:09:29: WARNING : Skipping build 414588ead7bc: Unable to find build info using the taskcluster route 'gecko.v2.autoland.shippable.revision.414588ead7bcb573fe30711ec30138bed12b9ebb.firefox.win64-opt'
2020-06-05T16:09:29: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:29: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:29: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:29: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:29: DEBUG : nothing found via route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:29: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-pgo'
2020-06-05T16:09:29: DEBUG : nothing found via route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-pgo'
2020-06-05T16:09:29: DEBUG : using taskcluster root url https://taskcluster.net
2020-06-05T16:09:29: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:30: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:30: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:31: DEBUG : nothing found via route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:31: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-pgo'
2020-06-05T16:09:32: DEBUG : nothing found via route 'gecko.v2.autoland.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-pgo'
2020-06-05T16:09:32: WARNING : Skipping build 343077516b20: Unable to find build info using the taskcluster route 'gecko.v2.autoland.shippable.revision.343077516b201d319198f37e2d15c002808fd648.firefox.win64-opt'
2020-06-05T16:09:32: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:32: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:32: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:32: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:32: DEBUG : nothing found via route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:32: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-pgo'
2020-06-05T16:09:33: DEBUG : nothing found via route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-pgo'
2020-06-05T16:09:33: DEBUG : using taskcluster root url https://taskcluster.net
2020-06-05T16:09:33: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:34: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:34: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:34: DEBUG : nothing found via route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:34: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-pgo'
2020-06-05T16:09:35: DEBUG : nothing found via route 'gecko.v2.autoland.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-pgo'
2020-06-05T16:09:35: WARNING : Skipping build 6f3a65196d88: Unable to find build info using the taskcluster route 'gecko.v2.autoland.shippable.revision.6f3a65196d8828eebc3cd479bcfe127203bc9efc.firefox.win64-opt'
2020-06-05T16:09:35: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:35: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:35: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:35: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:36: DEBUG : nothing found via route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:36: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-pgo'
2020-06-05T16:09:36: DEBUG : nothing found via route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-pgo'
2020-06-05T16:09:36: DEBUG : using taskcluster root url https://taskcluster.net
2020-06-05T16:09:36: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:37: DEBUG : nothing found via route 'gecko.v2.autoland.shippable.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:37: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:37: DEBUG : nothing found via route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:37: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-pgo'
2020-06-05T16:09:38: DEBUG : nothing found via route 'gecko.v2.autoland.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-pgo'
2020-06-05T16:09:38: WARNING : Skipping build dd02ded0f184: Unable to find build info using the taskcluster route 'gecko.v2.autoland.shippable.revision.dd02ded0f1842d4f088892a93d0c5e28668afb45.firefox.win64-opt'
2020-06-05T16:09:38: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:09:38: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.1393662c8ab88f30c115e7a61192f5a050d81da7.firefox.win64-opt'
2020-06-05T16:10:06: INFO : Narrowed inbound regression window from [2ea54468, 60a406d3] (37 builds) to [2ea54468, 32fd6309] (17 builds) (4 steps left)
2020-06-05T16:10:09: INFO : Running autoland build built on 2020-05-29 09:59:22.428000, revision 1393662c
2020-06-05T16:10:09: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:09: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.8d8372333cb931781c0443e3d0f374ade0519521.firefox.win64-opt'
2020-06-05T16:10:09: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:09: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.128c919becc6627430dbb2b4fcea0a155acc2242.firefox.win64-opt'
2020-06-05T16:10:10: INFO : Launching c:\Users\Clara Guerrero\AppData\Local\Temp\tmpayaadk\firefox\firefox.exe
2020-06-05T16:10:10: INFO : Application command: c:\Users\Clara Guerrero\AppData\Local\Temp\tmpayaadk\firefox\firefox.exe --allow-downgrade --wait-for-browser -profile c:\users\clarag
1\appdata\local\temp\tmp0g67go.mozrunner
2020-06-05T16:10:10: INFO : application_buildid: 20200529081729
2020-06-05T16:10:10: INFO : application_changeset: 1393662c8ab88f30c115e7a61192f5a050d81da7
2020-06-05T16:10:10: INFO : application_display_name: Firefox Nightly
2020-06-05T16:10:10: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2020-06-05T16:10:10: INFO : application_name: Firefox
2020-06-05T16:10:10: INFO : application_remotingname: firefox
2020-06-05T16:10:10: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:10: INFO : application_vendor: Mozilla
2020-06-05T16:10:10: INFO : application_version: 78.0a1
2020-06-05T16:10:10: INFO : platform_buildid: 20200529081729
2020-06-05T16:10:10: INFO : platform_changeset: 1393662c8ab88f30c115e7a61192f5a050d81da7
2020-06-05T16:10:10: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:10: INFO : platform_version: 78.0a1
2020-06-05T16:10:23: INFO : Narrowed inbound regression window from [2ea54468, 32fd6309] (17 builds) to [1393662c, 32fd6309] (9 builds) (3 steps left)
2020-06-05T16:10:26: INFO : Running autoland build built on 2020-05-29 10:19:35.664000, revision 8d837233
2020-06-05T16:10:26: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:26: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.0fbfd4eea63d86ee2331a68e9c709e88567e46c9.firefox.win64-opt'
2020-06-05T16:10:27: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:27: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.863025bf6b1c9ca170ce0079b3fc9dfd64fb5069.firefox.win64-opt'
2020-06-05T16:10:28: INFO : Launching c:\Users\Clara Guerrero\AppData\Local\Temp\tmpofouzr\firefox\firefox.exe
2020-06-05T16:10:28: INFO : Application command: c:\Users\Clara Guerrero\AppData\Local\Temp\tmpofouzr\firefox\firefox.exe --allow-downgrade --wait-for-browser -profile c:\users\clarag
1\appdata\local\temp\tmp7cm5rn.mozrunner
2020-06-05T16:10:28: INFO : application_buildid: 20200529083550
2020-06-05T16:10:28: INFO : application_changeset: 8d8372333cb931781c0443e3d0f374ade0519521
2020-06-05T16:10:28: INFO : application_display_name: Firefox Nightly
2020-06-05T16:10:28: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2020-06-05T16:10:28: INFO : application_name: Firefox
2020-06-05T16:10:28: INFO : application_remotingname: firefox
2020-06-05T16:10:28: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:28: INFO : application_vendor: Mozilla
2020-06-05T16:10:28: INFO : application_version: 78.0a1
2020-06-05T16:10:28: INFO : platform_buildid: 20200529083550
2020-06-05T16:10:28: INFO : platform_changeset: 8d8372333cb931781c0443e3d0f374ade0519521
2020-06-05T16:10:28: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:28: INFO : platform_version: 78.0a1
2020-06-05T16:10:42: INFO : Narrowed inbound regression window from [1393662c, 32fd6309] (9 builds) to [1393662c, 8d837233] (5 builds) (2 steps left)
2020-06-05T16:10:49: INFO : Running autoland build built on 2020-05-29 10:17:46.740000, revision 863025bf
2020-06-05T16:10:49: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:49: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.c1820d13f7d232c8e3e1a7c8fe7fe76c61da2924.firefox.win64-opt'
2020-06-05T16:10:50: DEBUG : using taskcluster root url https://firefox-ci-tc.services.mozilla.com
2020-06-05T16:10:50: DEBUG : using taskcluster route 'gecko.v2.autoland.shippable.revision.9dae371f2b336893faea10148a86fc1fca325584.firefox.win64-opt'
2020-06-05T16:10:51: INFO : Launching c:\Users\Clara Guerrero\AppData\Local\Temp\tmpqcmwh8\firefox\firefox.exe
2020-06-05T16:10:51: INFO : Application command: c:\Users\Clara Guerrero\AppData\Local\Temp\tmpqcmwh8\firefox\firefox.exe --allow-downgrade --wait-for-browser -profile c:\users\clarag
1\appdata\local\temp\tmp9s6n6j.mozrunner
2020-06-05T16:10:51: INFO : application_buildid: 20200529083326
2020-06-05T16:10:51: INFO : application_changeset: 863025bf6b1c9ca170ce0079b3fc9dfd64fb5069
2020-06-05T16:10:51: INFO : application_display_name: Firefox Nightly
2020-06-05T16:10:51: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2020-06-05T16:10:51: INFO : application_name: Firefox
2020-06-05T16:10:51: INFO : application_remotingname: firefox
2020-06-05T16:10:51: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:51: INFO : application_vendor: Mozilla
2020-06-05T16:10:51: INFO : application_version: 78.0a1
2020-06-05T16:10:51: INFO : platform_buildid: 20200529083326
2020-06-05T16:10:51: INFO : platform_changeset: 863025bf6b1c9ca170ce0079b3fc9dfd64fb5069
2020-06-05T16:10:51: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:10:51: INFO : platform_version: 78.0a1
2020-06-05T16:11:03: INFO : Narrowed inbound regression window from [1393662c, 8d837233] (5 builds) to [863025bf, 8d837233] (3 builds) (1 steps left)
2020-06-05T16:11:12: INFO : Running autoland build built on 2020-05-29 10:15:04.706000, revision c1820d13
2020-06-05T16:11:15: INFO : Launching c:\Users\Clara Guerrero\AppData\Local\Temp\tmpdoq1ko\firefox\firefox.exe
2020-06-05T16:11:15: INFO : Application command: c:\Users\Clara Guerrero\AppData\Local\Temp\tmpdoq1ko\firefox\firefox.exe --allow-downgrade --wait-for-browser -profile c:\users\clarag
1\appdata\local\temp\tmpgnriup.mozrunner
2020-06-05T16:11:15: INFO : application_buildid: 20200529083445
2020-06-05T16:11:15: INFO : application_changeset: c1820d13f7d232c8e3e1a7c8fe7fe76c61da2924
2020-06-05T16:11:15: INFO : application_display_name: Firefox Nightly
2020-06-05T16:11:15: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2020-06-05T16:11:15: INFO : application_name: Firefox
2020-06-05T16:11:15: INFO : application_remotingname: firefox
2020-06-05T16:11:15: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:11:15: INFO : application_vendor: Mozilla
2020-06-05T16:11:15: INFO : application_version: 78.0a1
2020-06-05T16:11:15: INFO : platform_buildid: 20200529083445
2020-06-05T16:11:15: INFO : platform_changeset: c1820d13f7d232c8e3e1a7c8fe7fe76c61da2924
2020-06-05T16:11:15: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2020-06-05T16:11:15: INFO : platform_version: 78.0a1
2020-06-05T16:11:38: INFO : Narrowed inbound regression window from [863025bf, 8d837233] (3 builds) to [c1820d13, 8d837233] (2 builds) (~1 steps left)
2020-06-05T16:11:38: DEBUG : Starting merge handling...
2020-06-05T16:11:38: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=8d8372333cb931781c0443e3d0f374ade0519521&full=1
2020-06-05T16:11:50: DEBUG : Found commit message:
Bug 1638156 - Make open downloaded file the default action in about:newtab download cards, and add key modifiers support. r=Mardak

Differential Revision: https://phabricator.services.mozilla.com/D76575

2020-06-05T16:11:50: DEBUG : Did not find a branch, checking all integration branches
2020-06-05T16:11:50: INFO : The bisection is done.
2020-06-05T16:11:50: INFO : Stopped

Status: UNCONFIRMED → NEW
Has Regression Range: --- → yes
Component: Untriaged → File Handling
Ever confirmed: true

Bogdan, can you take a look and set a severity?

Component: File Handling → Downloads Panel
Flags: needinfo?(btara)
Regressed by: 1638156
Flags: needinfo?(btara) → needinfo?(sfoster)

[Tracking Requested - why for this release]: behavior change associated with new feature work.

@Sam, can we revert the part of your patch that opened the PDF in the current tab?

To be clear, this was a conscious decision made when fixing bug 1191591, since we now support keyboard modifiers when clicking on downloads. Pressing ctrl+click on the download will open the PDF in a new tab.

(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #3)

@Sam, can we revert the part of your patch that opened the PDF in the current tab?

Its not so much a revert, but yes I can put together a patch to change the default to open in a new tab. I guess the ctrl/meta key modifier would just be ignored in this case.

Flags: needinfo?(sfoster)
Severity: -- → S3
Priority: -- → P2
Assignee: nobody → sfoster
Status: NEW → ASSIGNED
Pushed by sfoster@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1f5f8907c765
Default to using a new tab when opening downloaded PDFs in the browser. r=jaws
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 79
Flags: qe-verify+

Comment on attachment 9157200 [details]
Bug 1642431 - Default to using a new tab when opening downloaded PDFs in the browser. r?Jaws

Beta/Release Uplift Approval Request

  • User impact if declined: Clicking to open downloaded PDFs will load the pdf with PDF.js into the current tab, replacing the existing document
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: No
  • Needs manual test from QE?: No
  • If yes, steps to reproduce: Manual verification not strictly necessary, but STR are in comment #0.
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): Existing PDF handling logic and implementation is not changed, only the default value indicating where to open pdf.js to view the file.
  • String changes made/needed: None
Attachment #9157200 - Flags: approval-mozilla-beta?

I confirm the issue is verified fixed with Fx 79 (2020-06-19) across platforms (Windows 10, Ubuntu 18.04, macOS 10.15).

QA Whiteboard: [qa-triaged]

Comment on attachment 9157200 [details]
Bug 1642431 - Default to using a new tab when opening downloaded PDFs in the browser. r?Jaws

approved for 78 rc1

Attachment #9157200 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

The issue is verified fixed with Fx 78.0 across platforms (Windows 10, Ubuntu 18.04, macOS 10.15).

Status: RESOLVED → VERIFIED
Flags: qe-verify+
Duplicate of this bug: 1646156
You need to log in before you can comment on or make changes to this bug.